rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
fileIndexEntry_s Struct Reference

A file to be installed/removed. More...

## Data Fields
const char * | baseName
size_t | baseNameLen
alNum | pkgNum
rpmuint32_t | ficolor

## Detailed Description

A file to be installed/removed.

Definition at line 82 of file rpmal.c.

## Field Documentation

const char* fileIndexEntry_s::baseName

File basename.

Definition at line 84 of file rpmal.c.

Referenced by fieCompare(), rpmalAdd(), and rpmalAllFileSatisfiesDepend().

size_t fileIndexEntry_s::baseNameLen

Definition at line 85 of file rpmal.c.

Referenced by fieCompare(), rpmalAdd(), and rpmalAllFileSatisfiesDepend().

rpmuint32_t fileIndexEntry_s::ficolor

Definition at line 87 of file rpmal.c.

Referenced by rpmalAdd(), and rpmalAllFileSatisfiesDepend().

alNum fileIndexEntry_s::pkgNum

Containing package index.

Definition at line 86 of file rpmal.c.

Referenced by rpmalAdd(), rpmalAllFileSatisfiesDepend(), and rpmalDel().

The documentation for this struct was generated from the following file:

- lib/rpmal.c